API Endpoints
The below provides developers with essential information on how to integrate and interact with the API, covering key methods, data formats, request/response structures, and error handling protocols.
Banking data supplied by customer participant
Data received successfully and accepted for processing The insightsId value is provided for tracking the insights request and retrieving the request from /banking-data-insights.
Invalid input or arguments
Invalid credentials
Credentials are valid but access to the resource is forbidden due to access controls. Access must be granted for this request to succeed
Unsupported HTTP method sent
Requested content type is not supported by this API
Request cannot be processed by the API as the content contains errors
The API has receive too many requests from the client and is rate-limiting further requests based on published limits
API encountered an error processing the request
The API is not currently available due a transient network error, internal service error or planned outage
POST /api/application HTTP/1.1
Host: console.live.mogoplus.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 272
{
"applicantsData": [
{
"applicant": {
"firstName": "text",
"lastName": "text",
"employerNames": [
"text"
]
},
"bankingTransactionData": {
"institutions": [
{
"institutionName": "text",
"accounts": [
{
"accountNumber": "text",
"transactions": [
{
"description": "text",
"amount": 1,
"date": "text"
}
]
}
]
}
]
}
}
]
}{
"data": {
"insightsId": {
"insightsId": "text"
},
"insightsReport": {
"subscriptionId": "9e58813c-7c2a-11ee-b962-0242ac120002",
"report": "https://console.live.mogoplus.ai/api/application/c8c7d799-fe50-43bb-8e61-f08cd8a9434"
}
},
"links": {
"self": "https://console.live.mogoplus.ai/api/application/c8c7d799-fe50-43bb-8e61-f08cd8a9434f"
}
}A valid V4 UUID
^[0-9a-f]{8}-[0-9a-f]{4}-[0-5][0-9a-f]{3}-[089ab][0-9a-f]{3}-[0-9a-f]{12}$The banking data insights report
Provides both the state of processing and the response data. Whilst processing is ongoing the data object will be omitted.
partial response content, meaning inprogress
Invalid input or arguments
Invalid credentials
Credentials are valid but access to the resource is forbidden due to access controls. Access must be granted for this request to succeed
Unsupported HTTP method sent
Requested content type is not supported by this API
The API has receive too many requests from the client and is rate-limiting further requests based on published limits
API encountered an error processing the request
The API is not currently available due a transient network error, internal service error or planned outage
GET /api/application/{applicationId} HTTP/1.1
Host: console.live.mogoplus.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"insightsHeader": {
"insightsId": "text",
"insightsPublishDate": "text",
"clientId": "text",
"clientName": "text",
"reports": [
{
"reportHeader": {
"reportId": "text",
"reportPublishDate": "text",
"applicationType": "text",
"numberOfApplicants": 1,
"applicants": [
{
"applicantId": "text",
"applicantName": "text"
}
]
},
"combinedSummary": {
"combinedNumberOfInstitutions": 1,
"combinedNumberOfAccounts": 1,
"combinedNumberOfTransactions": 1,
"currency": "text",
"combinedTotalSummary": {
"credit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
},
"debit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
}
},
"combinedCategoryGroupSummary": {
"combinedCategoryGroups": [
{
"categoryGroup": "text",
"categoryGroupDescription": "text",
"debit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
},
"credit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
}
}
]
},
"combinedCategorySummary": {
"combined": [
{
"categoryCode": "text",
"categoryCodeDescription": "text",
"credit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
},
"debit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
}
}
]
},
"netMonthlyPosition": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"combinedIncomeInsights": {
"basicIncomeInsights": {
"currency": "text",
"income": {
"sumAmount": 1,
"numberOfTransactions": 1,
"averageMonthly": 1
},
"incomeBuckets": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
}
},
"applicantSummary": {
"applicants": [
{
"applicantName": "text",
"numberOfInstitutions": 1,
"numberOfAccounts": 1,
"numberOfTransactions": 1,
"currency": "text",
"applicantTotalSummary": {
"credit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
},
"debit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
}
},
"applicantCategoryGroupSummary": {
"applicantCategoryGroups": [
{
"categoryGroup": "text",
"categoryGroupDescription": "text",
"debit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
},
"credit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
}
}
]
},
"applicantCategorySummary": {
"categories": [
{
"categoryCode": "text",
"categoryCodeDescription": "text",
"credit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
},
"debit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
}
}
]
},
"applicantDetailedTransaction": {
"institutions": [
{
"institutionId": "text",
"institutionName": "text",
"accounts": [
{
"accountNumber": "text",
"accountName": "text",
"currentBalance": 1,
"availableBalance": 1,
"creditLimit": 1,
"numberOfTransactionsInTotal": 1,
"numberOfTransactionsCategorised": 1,
"transactions": [
{
"transactionId": "text",
"transactionDate": "text",
"transactionCategoryGroup": "text",
"transactionCategoryCode": "text",
"transactionDescription": "text",
"transactionAmount": 1,
"transactionCurrency": "text"
}
]
}
]
}
]
},
"netMonthlyPosition": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"categoryReview": [
{
"categoryCode": "text",
"categoryCodeDescription": "text",
"credit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
},
"debit": {
"sumAmount": 1,
"numberOfTransactions": 1,
"Average": 1
},
"transactions": [
{
"transactionId": "text",
"transactionDate": "text",
"transactionCategoryGroup": "text",
"transactionCategoryCode": "text",
"transactionDescription": "text",
"transactionAmount": 1,
"transactionCurrency": "text"
}
]
}
]
}
]
},
"incomeSummary": {
"applicants": [
{
"applicantName": "text",
"employmentInsights": [
{
"declaredEmployerName": "text",
"employerNameVerified": true,
"latestEmployerVerifiedSalaryDate": "text",
"latestEmployerVerifiedSalaryAmount": 1
}
],
"IncomeInsights": {
"basicIncomeInsights": {
"currency": "text",
"income": {
"sumAmount": 1,
"numberOfTransactions": 1,
"averageMonthly": 1
},
"incomeBuckets": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"inferentialIncomeInsights": [
{
"type": "text",
"employer": "text",
"recency": {
"daysInPriorMonth": 1,
"numberOfTransactionsInPriorMonth": 1
},
"regularity": {
"numberOfTransactions": 1,
"incomeDates": [
"text"
],
"statisticsOfDayIntervals": {
"max": 1,
"min": 1,
"mean": 1,
"median": 1,
"mode": 1,
"standardDeviation": 1
}
},
"reliability": {
"numberOfTransactions": 1,
"incomeAmounts": [
{
"date": "text",
"amount": 1
}
],
"statisticsOfSalaryAmount": {
"average": 1,
"median": 1,
"mode": 1,
"range": 1,
"standardDeviation": 1
}
}
}
]
}
}
]
}
}
]
},
"reportString": "text"
}Last updated
Was this helpful?

